%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           vhybridize
Version:        0.5.9
Release:        7%{?dist}
Summary:        Virtual Hybridization command line tools

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://ygingras.net/bioinfo
Source0:        http://ygingras.net/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-setuptools-devel


%description
Virtual Hybridization uses sets of short probes to generate datasets
for comparative genomics: given a DNA sequence and a set of probes,
the typical output will give a sequence of oriented probe hits along
the DNA sequence. Other tools are supplied to allow simple manipulations
such as format conversion and extraction of permutations.


%prep
%setup -q


%build
python ./setup.py build


%install
rm -rf %{buildroot}
python ./setup.py install --skip-build --root %{buildroot}
#remove shebang
for file in \
    %{buildroot}%{python_sitelib}/%{name}/scripts/{to_permutation.py,split_multi_fasta.py} \
    %{buildroot}%{python_sitelib}/%{name}/{utils.py,locate.py}   \
    %{buildroot}%{python_sitelib}/%{name}/scripts/{to_vhx.py,merge.py,filter.py}; do
    sed -i -e '/^#!\//, 1d' $file
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt docs/ examples/
%{_bindir}/vhy*
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.9-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.9-2
- Fixes from #481509 Comment #1

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.9-1
- Initial package for Fedora
